%define major		2
%define libname		%mklibname %{name} %{major}
%define devname		%mklibname %{name} -d

Summary:	Movie player playing most video formats and DVDs
Name:		mpv
Version:	0.35.1
Release:	%mkrel 2
License:	GPLv2+ and LGPLv2+
Group:		Video/Players
Url:		https://mpv.io/
Source0:	https://github.com/%{name}-player/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

#
# Security Patches
# P100 -> ...
#
# CVE-20yy-z
#Patch100:       xxx

BuildRequires:	desktop-file-utils
BuildRequires:	hicolor-icon-theme
BuildRequires:	imagemagick
BuildRequires:	python3-docutils
BuildRequires:	waf
BuildRequires:	ladspa-devel
BuildRequires:	ffmpeg-devel >= 5.1
BuildRequires:	sndio-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pkgconfig(libmng)
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	pkgconfig(libquvi-0.9)
BuildRequires:	pkgconfig(libv4lconvert)
BuildRequires:	linux-userspace-headers
BuildRequires:	pkgconfig(liblircclient0)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(caca)
BuildRequires:	pkgconfig(dri)
BuildRequires:	pkgconfig(dvdnav)
BuildRequires:	pkgconfig(dvdread)
BuildRequires:	pkgconfig(enca)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libbluray)
BuildRequires:	pkgconfig(libbs2b)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(libcdio_cdda)
BuildRequires:	pkgconfig(libcdio_paranoia)
BuildRequires:	pkgconfig(libguess)
BuildRequires:	pkgconfig(libiso9660)
BuildRequires:	pkgconfig(libudf)
BuildRequires:	pkgconfig(libva)
BuildRequires:	pkgconfig(libva-x11)
BuildRequires:	pkgconfig(luajit)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(uchardet)
BuildRequires:	pkgconfig(vdpau)
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libass)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:	pkgconfig(wayland-scanner)
BuildRequires:	pkgconfig(wayland-server)
BuildRequires:	pkgconfig(wayland-egl)
BuildRequires:	wayland-tools
BuildRequires:	pkgconfig(rubberband)  >= 1.8.0
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xpresent)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	perl
BuildRequires:	yasm
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(libpipewire-0.3)
BuildRequires:	libegl-devel
BuildRequires:	EGL-devel

Requires:	hicolor-icon-theme
Requires:	%{libname} = %{version}-%{release}

Recommends:	yt-dlp

%description
Mpv is a movie player based on MPlayer and mplayer2. It supports a wide variety
of video file formats, audio and video codecs, and subtitle types. Special
input URL types are available to read input from a variety of sources other
than disk files. Depending on platform, a variety of different video and audio
output methods are supported.


%files
%doc README.md RELEASE_NOTES etc/input.conf DOCS/edl-mpv.rst DOCS/encoding.rst DOCS/interface-changes.rst DOCS/mplayer-changes.rst DOCS/release-policy.md
%license LICENSE.GPL LICENSE.LGPL Copyright
%{_docdir}/%{name}/mplayer-input.conf
%{_docdir}/%{name}/mpv.conf
%{_docdir}/%{name}/restore-old-bindings.conf
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/bash-completion/completions/mpv
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/icons/hicolor/*/apps/%{name}-symbolic.svg
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_mpv
%{_mandir}/man1/%{name}.*
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/encoding-profiles.conf
%{_datadir}/metainfo/mpv.metainfo.xml

#------------------------------------

%package -n %{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n %{libname}
Mpv is a movie player based on MPlayer and mplayer2. It supports a wide variety
of video file formats, audio and video codecs, and subtitle types. Special
input URL types are available to read input from a variety of sources other
than disk files. Depending on platform, a variety of different video and audio
output methods are supported.

%files -n %{libname}
%doc README.md
%license LICENSE.GPL LICENSE.LGPL Copyright
%{_libdir}/*.so.%{major}{,.*}

#------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Mpv is a movie player based on MPlayer and mplayer2. It supports a wide variety
of video file formats, audio and video codecs, and subtitle types. Special
input URL types are available to read input from a variety of sources other
than disk files. Depending on platform, a variety of different video and audio
output methods are supported.

%files -n %{devname}
%doc README.md DOCS/client-api-changes.rst DOCS/compatibility.rst DOCS/contribute.md DOCS/interface-changes.rst DOCS/tech-overview.txt DOCS/waf-buildsystem.rst
%license LICENSE.GPL LICENSE.LGPL Copyright
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/client.h
%{_includedir}/%{name}/render.h
%{_includedir}/%{name}/render_gl.h
%{_includedir}/%{name}/stream_cb.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%waf \
	--mandir="%{_mandir}" \
	--docdir="%{_docdir}/%{name}" \
	--confdir="%{_sysconfdir}/%{name}" \
	--disable-build-date \
	--enable-openal \
	--enable-cdda \
	--enable-dvbin \
	--enable-dvdnav \
	--enable-pulse \
	--enable-wayland \
	--enable-gl-wayland \
	--enable-egl-x11 \
	--enable-vaapi \
	--enable-libmpv-shared \
	--enable-sdl2

%waf_build --verbose

%install
%waf_install

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop



%changelog
* Thu Mar 02 2023 daviddavid <daviddavid> 0.35.1-2.mga9
+ Revision: 1946226
- switch to yt-dlp

* Mon Jan 30 2023 kekepower <kekepower> 0.35.1-1.mga9
+ Revision: 1936967
- Update to version 0.35.1

* Sun Nov 13 2022 kekepower <kekepower> 0.35.0-1.mga9
+ Revision: 1906826
- Update to version 0.35.0

* Sun Mar 13 2022 mrambo3501 <mrambo3501> 0.34.1-2.mga9.tainted
+ Revision: 1790715
- rebuild for ffmpeg 5.0

* Sat Mar 12 2022 danf <danf> 0.34.1-1.mga9.tainted
+ Revision: 1790491
- Update to ver. 0.34.1
- fixes a build problem with libstdc++ 12
- include more documentation in the packages

* Mon May 31 2021 neoclust <neoclust> 0.32.0-8.mga9.tainted
+ Revision: 1728959
- Add P100: Fixes CVE-2021-30145 (mga#29058)

* Tue May 25 2021 akien <akien> 0.32.0-7.mga9.tainted
+ Revision: 1728209
- Rebuild for sndio 1.8.0 with fixed SONAME

* Tue Nov 10 2020 joequant <joequant> 0.32.0-6.mga8.tainted
+ Revision: 1644229
- fix build requires and use fixed %%waf to fix failed build
- rebuild wih new autoconf
- bump build

* Thu Aug 13 2020 kekepower <kekepower> 0.32.0-3.mga8.tainted
+ Revision: 1613871
- Rebuild to fix GL context error in minitube (mga#27102)

* Fri Jul 24 2020 kekepower <kekepower> 0.32.0-2.mga8.tainted
+ Revision: 1608818
- Rebuild for new sndio

* Sat Feb 22 2020 shlomif <shlomif> 0.32.0-1.mga8.tainted
+ Revision: 1549449
- New version 0.32.0

* Tue Feb 18 2020 umeabot <umeabot> 0.30.0-3.mga8.tainted
+ Revision: 1538268
- Mageia 8 Mass Rebuild

* Sun Nov 17 2019 daviddavid <daviddavid> 0.30.0-2.mga8
+ Revision: 1461385
- rebuild for new libdvdread 6.0.2

* Mon Oct 28 2019 zezinho <zezinho> 0.30.0-1.mga8
+ Revision: 1456432
- tv build option removed upstream
- zsh-comp build option removed upstream
- vaapi-glx build option removed upstream
- dvdread build option removed upstream
- new version 0.30

* Thu Sep 19 2019 daviddavid <daviddavid> 0.29.1-11.mga8
+ Revision: 1443933
- build with system waf

* Fri Aug 16 2019 shlomif <shlomif> 0.29.1-10.mga8.tainted
+ Revision: 1429447
- rebuild for new ffmpeg 4.2

* Sun Jul 14 2019 daviddavid <daviddavid> 0.29.1-9.mga8
+ Revision: 1421277
- rebuild for new libcdio 2.1.0

* Sat May 18 2019 daviddavid <daviddavid> 0.29.1-8.mga7
+ Revision: 1398230
- rebuild against current mesa

* Sun Feb 17 2019 daviddavid <daviddavid> 0.29.1-7.mga7
+ Revision: 1368080
- enable sndio support

* Sun Feb 17 2019 daviddavid <daviddavid> 0.29.1-6.mga7
+ Revision: 1368074
- enable libarchive and uchardet support
- reenable debug package as it should

* Mon Jan 14 2019 zezinho <zezinho> 0.29.1-5.mga7
+ Revision: 1356359
- remove mageia default conf file as autodetection has improved

* Thu Jan 03 2019 alexl <alexl> 0.29.1-4.mga7
+ Revision: 1348771
- requires on libname

* Thu Nov 22 2018 shlomif <shlomif> 0.29.1-3.mga7
+ Revision: 1333324
- rebuild for the new ffmpeg

* Thu Oct 25 2018 zezinho <zezinho> 0.29.1-2.mga7
+ Revision: 1325431
- change default mpv config file for mageia as upstream defaults have changed

* Wed Oct 24 2018 zezinho <zezinho> 0.29.1-1.mga7
+ Revision: 1324984
- new version v29.1 - update mageia default conf file to remove opengl

* Sun Sep 23 2018 umeabot <umeabot> 0.28.2-2.mga7
+ Revision: 1299629
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 zezinho <zezinho> 0.28.2-1.mga7
+ Revision: 1221464
- remove upstream patch
- rebuild against new libva
+ tv <tv>
- new release
+ ovitters <ovitters>
- package should only be touched by maintainer plus maintainer purposely refrained from upgrading
- new version 0.28.2

* Sat Feb 17 2018 zezinho <zezinho> 0.27.2-1.mga7
+ Revision: 1202101
- new version 0.27.2

* Fri Feb 16 2018 zezinho <zezinho> 0.27.1-2.mga7
+ Revision: 1201698
- fix vaapi playing in cauldron MGA#22603

* Sun Feb 11 2018 zezinho <zezinho> 0.27.1-1.mga7
+ Revision: 1200487
- security fix version 0.27.1

* Sun Jan 28 2018 zezinho <zezinho> 0.27.0-6.mga7
+ Revision: 1197836
- enable tv which is not default anymore

* Sun Jan 28 2018 zezinho <zezinho> 0.27.0-5.mga7
+ Revision: 1197822
- enable dvb which is not default anymore

* Sat Jan 20 2018 zezinho <zezinho> 0.27.0-4.mga7
+ Revision: 1195102
- enable dvd playing as it defaults now to disabled

* Sun Jan 14 2018 wally <wally> 0.27.0-3.mga7
+ Revision: 1193050
- rebuild for new libcdio

* Thu Oct 26 2017 ovitters <ovitters> 0.27.0-2.mga7
+ Revision: 1173850
- rebuild for new ffmpeg

* Wed Sep 13 2017 ovitters <ovitters> 0.27.0-1.mga7
+ Revision: 1153664
- new version 0.27.0

* Wed Jul 19 2017 ovitters <ovitters> 0.26.0-1.mga7
+ Revision: 1124888
- new version 0.26.0

* Tue May 02 2017 ovitters <ovitters> 0.25.0-2.mga6
+ Revision: 1098238
- rebuild for new ffmpeg

* Mon Apr 24 2017 ovitters <ovitters> 0.25.0-1.mga6
+ Revision: 1097256
- new version 0.25.0

* Fri Mar 31 2017 tv <tv> 0.24.0-4.mga6
+ Revision: 1095496
- rebuild for new libbluray

* Fri Mar 10 2017 akien <akien> 0.24.0-3.mga6
+ Revision: 1091627
- Rebuild for v4l-utils 1.12.3

* Tue Mar 07 2017 zezinho <zezinho> 0.24.0-2.mga6
+ Revision: 1089585
- rebuild against new ffmpeg

* Wed Feb 22 2017 zezinho <zezinho> 0.24.0-1.mga6
+ Revision: 1087343
- new version 0.24

* Wed Jan 18 2017 zezinho <zezinho> 0.23.0-1.mga6
+ Revision: 1082357
- new version 0.23
- new default conf file that prefers VDPAU over VAAPI as some drivers provide a slower pipe in VAAPI mode
- new version 0.23.0

* Wed Jan 11 2017 luigiwalser <luigiwalser> 0.22.0-2.mga6
+ Revision: 1081053
- rebuild for libass

* Thu Dec 22 2016 ovitters <ovitters> 0.22.0-1.mga6
+ Revision: 1076423
- new version 0.22.0

* Fri Sep 09 2016 zezinho <zezinho> 0.20.0-1.mga6
+ Revision: 1051134
- new version

* Mon May 02 2016 zezinho <zezinho> 0.17.0-1.mga6
+ Revision: 1008567
- add new icon
- new version 0.17

* Wed Mar 30 2016 zezinho <zezinho> 0.16.0-1.mga6
+ Revision: 996935
- new version 0.16

* Mon Feb 15 2016 zezinho <zezinho> 0.15.0-2.mga6
+ Revision: 961180
- add source1 file
- add mpv.conf that defaults to hardware decoding if avaliable
- move from suggests to recommends

* Fri Jan 22 2016 zezinho <zezinho> 0.15.0-1.mga6
+ Revision: 926592
- new version

* Sat Jan 02 2016 zezinho <zezinho> 0.14.0-1.mga6
+ Revision: 918535
- new version 0.14
-removed now useless vaapi-vpp flag
- clean stuff

* Thu Nov 05 2015 ovitters <ovitters> 0.11.0-3.mga6
+ Revision: 897968
- enable on-screen-display

* Mon Oct 12 2015 ovitters <ovitters> 0.11.0-2.mga6
+ Revision: 890114
- enable x11-egl
- enable wayland support

* Wed Sep 30 2015 zezinho <zezinho> 0.11.0-1.mga6
+ Revision: 885445
- started from http://repo.mageia.org.pl/5/ mpv SRPM - removed bundled waf - upgraded to latest version 0.11.0
- imported package mpv



* Thu Apr 30 2015 abfonly <John@smith.org> 0.9.1-1
- (b7787d1) Log: Update to 0.9.1, disble too old libass( asked for update on bugzilla),build pdf man pages, enable rubberband


